# Uses of Class
net.sourceforge.jiu.codecs.CodecMode

Packages that use CodecMode
Package
Description
net.sourceforge.jiu.codecs
net.sourceforge.jiu.codecs.tiff

## Uses of CodecMode in net.sourceforge.jiu.codecs

Fields in net.sourceforge.jiu.codecs declared as CodecMode
Modifier and Type
Field
Description
`static final CodecMode`
CodecMode.`LOAD`
Codec mode load, one of the two possible values of CodecMode.
`private CodecMode`
ImageCodec.`mode`
`static final CodecMode`
CodecMode.`SAVE`
Codec mode save, one of the two possible values of CodecMode.
Methods in net.sourceforge.jiu.codecs that return CodecMode
Modifier and Type
Method
Description
`CodecMode`
ImageCodec.`getMode()`
Returns the mode this codec is in.
Methods in net.sourceforge.jiu.codecs with parameters of type CodecMode
Modifier and Type
Method
Description
`void`
ImageCodec.`setFile(File file, CodecMode codecMode)`
Gives a File object and a codec mode to this codec and attempts to initialize the appropriate I/O objects.
`void`
ImageCodec.`setFile(String fileName, CodecMode codecMode)`
Gives a file name and codec mode to the codec which will then try to create the corresponding I/O object.
`void`
PalmCodec.`setFile(String fileName, CodecMode codecMode)`
Reuses super.setFile when used for CodecMode.LOAD, but creates a RandomAccessFile instead of a FileOutputStream in write mode so that the compressed size can be written correcly (requires a seek operation).
`void`
PCDCodec.`setFile(String fileName, CodecMode codecMode)`
`void`
PNGCodec.`setFile(String fileName, CodecMode codecMode)`
`void`
ImageCodec.`setRandomAccessFile(RandomAccessFile randomAccessFile, CodecMode codecMode)`
A method to give a `RandomAccessFile` to this codec to be used for loading or saving an image.

## Uses of CodecMode in net.sourceforge.jiu.codecs.tiff

Methods in net.sourceforge.jiu.codecs.tiff with parameters of type CodecMode
Modifier and Type
Method
Description
`void`
TIFFCodec.`setFile(String fileName, CodecMode codecMode)`